package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractDormitoryTypeInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractDormitoryTypeInfo()
    {
        this("id");
    }
    protected AbstractDormitoryTypeInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 宿舍类型 's 组别 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.otherbasicdata.DormitoryTypeTreeInfo getTreeid()
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.DormitoryTypeTreeInfo)get("treeid");
    }
    public void setTreeid(com.kingdee.eas.custom.dormitorysystem.otherbasicdata.DormitoryTypeTreeInfo item)
    {
        put("treeid", item);
    }
    /**
     * Object:宿舍类型's 状态property 
     */
    public com.kingdee.shr.base.syssetting.BasicItemStateEnum getState()
    {
        return com.kingdee.shr.base.syssetting.BasicItemStateEnum.getEnum(getInt("state"));
    }
    public void setState(com.kingdee.shr.base.syssetting.BasicItemStateEnum item)
    {
		if (item != null) {
        setInt("state", item.getValue());
		}
    }
    /**
     * Object:宿舍类型's 性别property 
     */
    public com.kingdee.eas.basedata.person.Genders getGender()
    {
        return com.kingdee.eas.basedata.person.Genders.getEnum(getInt("gender"));
    }
    public void setGender(com.kingdee.eas.basedata.person.Genders item)
    {
		if (item != null) {
        setInt("gender", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("1D9EDF3E");
    }
}